%define lib_name_orig lib%{name}
%define major 0
%define lib_name %mklibname %{name}%{major}
%define module %{name}
%define pname perl-%{module}


Name: 		taktuk
Version: 	3.7.5
Release: 	1
Summary: 	Parallel, scalable launcher for cluster and lightweight grids

License: 	GPLv2+
Group: 		Networking/Remote access
Url:		http://taktuk.gforge.inria.fr/
Source0: 	https://gforge.inria.fr/frs/download.php/33412/%{name}-%{version}.tar.gz
Provides: 	parallel-tools
BuildRequires:	 perl-devel

%description
TakTuk is a tool for deploying parallel remote executions of commands to a
potentially large set of remote nodes. It spreads itself using an adaptive 
algorithm and sets up an interconnection network to transport commands and 
perform I/Os multiplexing/demultiplexing. The TakTuk mechanics dynamically
 adapt to environment (machine performance and current load, network 
contention) by using a reactive work-stealing algorithm that mix local 
parallelization and work distribution.

%package -n %{lib_name}-devel
Summary:        Taktuk header files and static libraries

Group:          Development/Other
Requires:       %{name} = %{version}

%description -n %{lib_name}-devel
Taktuk header files and static libraries

%package        -n %{lib_name}
Summary:        Parallel, scalable launcher for cluster devel

Group:          Development/Other

%description -n %{lib_name}
TakTuk is a tool for deploying parallel remote executions of commands to a
potentially large set of remote nodes.
All libs.

%package -n %{pname}
Summary:        Taktuk Perl file

Group:          Development/Perl
Requires:       %{name} = %{version}

%description -n %{pname}
Taktuk Perl Package

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x
%make
pushd Perl-Module
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make
popd

%install
%makeinstall pkgdocdir=%{buildroot}/%_defaultdocdir/%{name}-%{version}
pushd Perl-Module
%makeinstall pkgdocdir=%{buildroot}/%_defaultdocdir/%{name}-%{version}
popd
cp taktuk-light %{buildroot}/%{_bindir}/taktuk-light
chmod 755 %{buildroot}/%{_bindir}/taktuk-light

%files
%{_bindir}/taktuk
%{_bindir}/taktuk-light
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_defaultdocdir}/%{name}-%{version}

%files -n %{lib_name}
%doc AUTHORS ChangeLog COPYING DISCLAIMER INSTALL NEWS README  TODO *.html
%{_libdir}/*.so*

%files -n %{lib_name}-devel
%{_libdir}/*.*a
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{pname}
%doc AUTHORS ChangeLog COPYING DISCLAIMER INSTALL NEWS README  TODO *.html
%{perl_vendorlib}/*

%changelog
* Tue Sep 16 2014 dsilakov <denis.silakov@rosalab.ru> 3.7.5-1
+ Revision: 4c5effc
- Merge pull request #2 from import/taktuk:auto_update
- ROSA Updates Builder: update suggested


